%define		ocaml_ver	1:3.09.2
Summary:	OCaml module manager
Summary(pl.UTF-8):	Zarządca modułów OCamla
Name:		ocaml-findlib
Version:	1.4
Release:	2
License:	distributable
Group:		Development/Tools
Source0:	http://download.camlcity.org/download/findlib-%{version}.tar.gz
# Source0-md5:	5d1f8238c53964fdd14387b87b48b5d9
URL:		http://www.ocaml-programming.de/packages/
BuildRequires:	m4
BuildRequires:	ncurses-devel
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRequires:	ocaml-camlp4
BuildRequires:	ocaml-labltk-devel
BuildRequires:	sed >= 4.0
%requires_eq	ocaml
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The "findlib" library provides a scheme to manage reusable software
components (packages), and includes tools that support this scheme.
Packages are collections of OCaml modules for which metainformation
can be stored.

%description -l pl.UTF-8
Biblioteka "findlib" udostępnia metodę zarządzania komponentami
oprogramowania (pakietami) oraz zawiera narzędzia, które ową metodę
wspierają. Pakiety są kolekcjami modułów w OCamlu, dla których mogą
być przechowywane metainformacje.

%package devel
Summary:	OCaml module manager
Summary(pl.UTF-8):	Zarządca modułów OCamla
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The "findlib" library provides a scheme to manage reusable software
components (packages), and includes tools that support this scheme.
Packages are collections of OCaml modules for which metainformation
can be stored.

This package includes libraries and compiled interfaces of findlib.

%description devel -l pl.UTF-8
Biblioteka "findlib" udostępnia metodę zarządzania komponentami
oprogramowania (pakietami) oraz zawiera narzędzia, które ową metodę
wspierają. Pakiety są kolekcjami modułów w OCamlu, dla których mogą
być przechowywane metainformacje.

Ten pakiet zawiera biblioteki i skompilowane interfejsy findliba.

%prep
%setup -q -n findlib-%{version}

%build
./configure \
	-bindir %{_bindir} \
	-mandir %{_mandir} \
	-config %{_sysconfdir}/ocamlfind.conf

sed -i -e 's/-g//' Makefile

%{__make} -j1 all opt

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	prefix=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/findlib/*.mli

# in PLD only META files are stored in site-lib/pkg
sed -i -e 's|/site-lib||' $RPM_BUILD_ROOT%{_libdir}/ocaml/topfind
ln -sf topfind $RPM_BUILD_ROOT%{_libdir}/ocaml/ocamlfind
%{__mv} $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/findlib \
	$RPM_BUILD_ROOT%{_libdir}/ocaml/findlib
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/findlib
%{__mv} $RPM_BUILD_ROOT%{_libdir}/ocaml/findlib/META \
	$RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/findlib
echo 'directory = "+findlib"' >> $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/findlib/META
%{__mv} $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/num-top \
	$RPM_BUILD_ROOT%{_libdir}/ocaml/num-top
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/num-top
%{__mv} $RPM_BUILD_ROOT%{_libdir}/ocaml/num-top/META \
	$RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/num-top
echo 'directory = "+findlib"' >> $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/num-top/META

echo 'ldconf = "ignore"' >> $RPM_BUILD_ROOT%{_sysconfdir}/ocamlfind.conf

ln -sf ../stublibs $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/libexec
ln -sf ../stublibs $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/stublibs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/README LICENSE doc/*-html
%attr(755,root,root) %{_bindir}/ocamlfind
%attr(755,root,root) %{_bindir}/safe_camlp4
%config %{_sysconfdir}/ocamlfind.conf
%{_libdir}/ocaml/site-lib/findlib
# symlinks
%{_libdir}/ocaml/site-lib/libexec
%{_libdir}/ocaml/site-lib/stublibs
# META files for base ocaml packages
%{_libdir}/ocaml/site-lib/bigarray
%{_libdir}/ocaml/site-lib/camlp4
%{_libdir}/ocaml/site-lib/dbm
%{_libdir}/ocaml/site-lib/dynlink
%{_libdir}/ocaml/site-lib/graphics
%{_libdir}/ocaml/site-lib/labltk
%{_libdir}/ocaml/site-lib/num
%{_libdir}/ocaml/site-lib/num-top
%{_libdir}/ocaml/site-lib/ocamlbuild
%{_libdir}/ocaml/site-lib/stdlib
%{_libdir}/ocaml/site-lib/str
%{_libdir}/ocaml/site-lib/threads
%{_libdir}/ocaml/site-lib/unix
%{_mandir}/man1/ocamlfind.1*
%{_mandir}/man5/META.5*
%{_mandir}/man5/findlib.conf.5*
%{_mandir}/man5/site-lib.5*

%files devel
%defattr(644,root,root,755)
%dir %{_libdir}/ocaml/findlib
%{_libdir}/ocaml/findlib/Makefile.config
%{_libdir}/ocaml/findlib/*.cm[ixa]*
%{_libdir}/ocaml/findlib/*.a
%dir %{_libdir}/ocaml/num-top
%{_libdir}/ocaml/num-top/*.cm[ia]
%{_libdir}/ocaml/ocamlfind
%{_libdir}/ocaml/topfind
%changelog
* Sun Jul 14 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-findlib.git;a=log;h=master

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> 0d2378f
- package missing dir
- rel 2

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 57c87e3
- updated to 1.4

* Wed Sep 26 2012 Jakub Bogusz <qboosh@pld-linux.org> da32f43
- be verbose in ocaml/site-lib

* Mon Sep 24 2012 Jan Rękorajski <baggins@pld-linux.org> fb1a808
- rebuild with fixed rpm macros
- release 2 (by relup.sh)

* Sun Sep 23 2012 Jan Rękorajski <baggins@pld-linux.org> cf282a1
- package META file findlib properly
- site-lib directory is provided by ocaml-runtime

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> bab068d
- updated to 1.3.3

* Thu Jun 14 2012 Jakub Bogusz <qboosh@pld-linux.org> a773685
- updated to 1.3.2

* Sat May 26 2012 Jakub Bogusz <qboosh@pld-linux.org> b2bed1b
- updated to 1.3.1

* Mon Feb 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 5253d00
- updated to 1.2.8

* Fri Jul 15 2011 Jan Rękorajski <baggins@pld-linux.org> 9407677
- 1.2.7

* Sun Mar 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 41110fe
- updated to 1.2.6

* Sat Apr 18 2009 areq <areq@pld-linux.org> a2807a2
- make -j1

* Sat Apr 18 2009 areq <areq@pld-linux.org> 31d14bb
- 1.2.4

* Thu Jul 10 2008 Marcin Banasiak <marcin.banasiak@gmail.com> da74191
- release 3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 1de14ba
- rel 2

* Tue Dec 25 2007 zbyniu <zbyniu@pld-linux.org> d993b73
- up to 1.2.1

* Tue Nov 27 2007 Jan Rękorajski <baggins@pld-linux.org> 34f915d
- rel 5
- use real file in doc (not the symlink)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6048ed4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8b412a2
- converted to UTF-8

* Wed May 31 2006 Elan Ruusamäe <glen@pld-linux.org> 690ca77
- rel 4 (rebuild with ocaml-3.09.2)

